Name:           pam_u2f
Version:        1.0.3
Release:        1%{?dist}
Summary:        Yubico Universal 2nd Factor (U2F) Host C Library

License:        LGPLv2+
URL:            http://developers.yubico.com/%{name}/
Source0:        http://developers.yubico.com/%{name}/releases/%{name}-%{version}.tar.gz

BuildRequires:  pam-devel libu2f-server-devel libu2f-host-devel
Requires:	libu2f-server libu2f-host

%description
The PAM U2F module provides an easy way to integrate the Yubikey (or other U2F-compliant authenticators) into your existing user authentication infrastructure.

%prep
%setup -q

%build
%configure \
   --with-pam-dir=%{_libdir}/security

make %{?_smp_mflags}

%check
LD_LIBRARY_PATH="$(pwd)/pam_u2f/.libs" make check

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'

#mkdir -p $RPM_BUILD_ROOT%{_libdir}/security/
#install -m 644 /lib/x86_64-linux-gnu/security/pam_u2f.so $RPM_BUILD_ROOT%{_libdir}/security/
#install -m 644 /usr/bin/pamu2fcfg $RPM_BUILD_ROOT%{_bindir}/

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_libdir}/security/%{name}.so
%{_bindir}/pamu2fcfg
%{_mandir}/man8/%{name}.8*
%{_mandir}/man1/pamu2fcfg.1*

%changelog
* Sat Dec 5 2015 Milo Oostergo <milo@oostergo.net> - 1.0.0-1
- Initial package

